{
    "compilerOptions": {
        "target": "es2017",
        "lib": ["es2017", "esnext.asynciterable"],
        "typeRoots": ["./node_modules/@types", "./src/types"],
        "allowSyntheticDefaultImports": true,
        "experimentalDecorators": true,
        "emitDecoratorMetadata": true,
        "forceConsistentCasingInFileNames": true,
        "moduleResolution": "node",
        "module": "CommonJS",
        "pretty": true,
        "sourceMap": true,
        "outDir": "./build",
        "allowJs": true,
        "noEmit": false,
        "resolveJsonModule": true,
        "esModuleInterop": true,
        "noImplicitReturns": true,
        "strict": true,
        "noUnusedLocals": false
    },
    "include": ["./src/**/*"],
    "exclude": ["node_modules", "tests"]
}

